Subject: Re: bug#68384: TTY Auto-login is not compatible with elogind

From: Sergey Trofimov <[email-masked]>
Date: Mon, 26 May 2025 18:02:17 +0200

Hi Lars,

Lars Rustand <[email-masked]> writes:

> Enabling both TTY auto-login and elogind-service-type at the same time
> results in an error immediately after automatic login to the tty with
> the message "Error in service module", and the TTY then is
> frozen. Auto-login works fine if I disable elogind, but elogind is
> unfortunately a crucial part of the Guix system since a lot of things
> does not work without it.
>
I believe this is fixed by adding 'dbus-system to mingetty's
shepherd-requirement. See info (guix) Base Services.